# --------------------------------------------------------------------------
###
#
# Copyright (c) Ensim Corporation 2000, 2001   All Rights Reserved.
#
# This software is furnished under a license and may be used and copied
# only  in  accordance  with  the  terms  of such  license and with the
# inclusion of the above copyright notice. This software or any other
# copies thereof may not be provided or otherwise made available to any
# other person. No title to and ownership of the software is hereby
# transferred.
#
# The information in this software is subject to change without notice
# and  should  not be  construed  as  a commitment by Ensim Corporation.
# Ensim assumes no responsibility for the use or  reliability  of its
# software on equipment which is not supplied by Ensim.
#
# Exit codes (on failure error message goes to stderr):
#  0 - success
#  1 - failure
# 
# Boolean arguments on the command line are given as 0 or 1. All the
# command line arguments are encoded to avoid problems with escapes.
#
# All functions defined here either return an error message if an
# error occured and "" if everything went well or allways return a
# valid value, but exit (with code 1) printing an error message if an
# error occurs. This second type of functions have _e appended to
# their name. Functions are allowed to print results onto stdout, but
# errors are printed only in the main program.
# --------------------------------------------------------------------------
# $Id: sendmailconf.pm,v 1.7 2003/12/03 12:12:16 kavita Exp $
# $Name:  $
# --------------------------------------------------------------------------

package sendmailconf;

BEGIN { }

END { }

if ($ENV{'OSTYPE'} =~ /^solaris/i ) {
    $config{'sendmail_cf'}="/usr/local/etc/mail/sendmail.cf";
    $config{'sendmail_pid'}="/etc/mail/sendmail.pid";
    $config{'sendmail_command'}="/etc/init.d/sendmail";
    $config{'sendmail_path'}="/usr/local/etc/mail/sendmail";
    $config{'mail_dir'}="/var/mail";
    $config{'domains_file'}="";
    $config{'relay_domains'}="/usr/local/etc/mail/relay-domains";
    $config{'makemap'}="/usr/local/etc/mail/makemap";
} else {
    $config{'sendmail_cf'}="/etc/mail/sendmail.cf";
    $config{'sendmail_pid'}="/var/run/sendmail.in.pid";
    $config{'sendmail_command'}="/etc/rc.d/init.d/sendmail";
    $config{'sendmail_path'}="/usr/sbin/sendmail";
    $config{'mail_dir'}="/var/spool/mail";
    $config{'domains_file'}="";
    $config{'relay_domains'}="/etc/mail/relay-domains";
    $config{'makemap'}="/usr/bin/makemap";
}

return 1;

