errors = {}
options = {}
macro_ops = {}
stages = {}
svcid = 1

SUCCESS = 0
WARNING = 1
ERROR = 2

def determine_severity(msgs):
    severity = SUCCESS
    if msgs and len(msgs) > 0:
        for msg in msgs:
            severity = max(severity, msg[0])
    return severity

def determine_action_severity(list):
    severity = SUCCESS
    if list and len(list) > 0:
        for action in list:
            severity = max(severity, determine_severity(action[2]))
    return severity

def get_option_from_code(code, options_table):
    index = (code >> 48) & 0xff
    return options_table.get(index, None)

def get_errornum_from_code(code):
    return (code >> 56) & 0xff
macro_ops[int((0) | (1 << 16))] = 'Add virtual domain'; ADD_SITE = int((0) | (1 << 16))
macro_ops[int((1) | (1 << 16))] = 'Edit virtual domain'; EDIT_SITE = int((1) | (1 << 16))
macro_ops[int((2) | (1 << 16))] = 'Suspend virtual domain'; SUSPEND_SITE = int((2) | (1 << 16))
macro_ops[int((3) | (1 << 16))] = 'Enable virtual domain'; ENABLE_SITE = int((3) | (1 << 16))
macro_ops[int((4) | (1 << 16))] = 'Delete virtual domain'; DELETE_SITE = int((4) | (1 << 16))
macro_ops[int((5) | (1 << 16))] = 'Add plan definition'; ADD_PLANDEF = int((5) | (1 << 16))
macro_ops[int((6) | (1 << 16))] = 'Edit plan definition'; EDIT_PLANDEF = int((6) | (1 << 16))
macro_ops[int((7) | (1 << 16))] = 'Delete plan definition'; DELETE_PLANDEF = int((7) | (1 << 16))
macro_ops[int((8) | (1 << 16))] = 'User Management'; USER_MGMT = int((8) | (1 << 16))
macro_ops[int((9) | (1 << 16))] = 'Input validation'; CHECK_INPUT = int((9) | (1 << 16))
macro_ops[int((10) | (1 << 16))] = 'Lock virtual domain'; LOCK_SITE = int((10) | (1 << 16))
macro_ops[int((11) | (1 << 16))] = 'Hide service'; HIDE_SERVICE = int((11) | (1 << 16))
macro_ops[int((12) | (1 << 16))] = 'Unhide service'; UNHIDE_SERVICE = int((12) | (1 << 16))
macro_ops[int((13) | (1 << 16))] = 'Export'; VHEXPORT = int((13) | (1 << 16))
macro_ops[int((14) | (1 << 16))] = 'Import'; VHIMPORT = int((14) | (1 << 16))
macro_ops[int((15) | (1 << 16))] = 'Lock management'; LOCK_MGMT = int((15) | (1 << 16))
macro_ops[int((16) | (1 << 16))] = 'Create database'; CREATE_DB = int((16) | (1 << 16))
__unknown_macro_op_str = 'Current operation'
__unknown_stage_str = 'Current stage'

stages[int((0) | (1 << 16))] = 'Write service configuration'; WRCONF = int((0) | (1 << 16))
stages[int((1) | (1 << 16))] = 'Read old service configuration'; RDOLDCONF = int((1) | (1 << 16))
stages[int((2) | (1 << 16))] = 'Read new service configuration'; RDNEWCONF = int((2) | (1 << 16))
stages[int((3) | (1 << 16))] = 'Read service configuration'; RDCONF = int((3) | (1 << 16))
stages[int((4) | (1 << 16))] = 'Write service plan'; WRPLAN = int((4) | (1 << 16))
stages[int((5) | (1 << 16))] = 'Read service plan'; RDPLAN = int((5) | (1 << 16))
stages[int((6) | (1 << 16))] = 'Install service'; INSTALL = int((6) | (1 << 16))
stages[int((7) | (1 << 16))] = 'Populate domain service filesystem'; POPFS = int((7) | (1 << 16))
stages[int((8) | (1 << 16))] = 'Enable service'; ENABLE = int((8) | (1 << 16))
stages[int((9) | (1 << 16))] = 'Reconfigure service'; RECONFIGURE = int((9) | (1 << 16))
stages[int((10) | (1 << 16))] = 'Disable service'; DISABLE = int((10) | (1 << 16))
stages[int((11) | (1 << 16))] = 'Depopulate domain service filesystem'; DEPOPFS = int((11) | (1 << 16))
stages[int((12) | (1 << 16))] = 'Uninstall service'; UNINSTALL = int((12) | (1 << 16))
stages[int((13) | (1 << 16))] = 'Domain consistency check'; CONCHECK = int((13) | (1 << 16))
stages[int((14) | (1 << 16))] = 'Mark domain'; MARKDOMAIN = int((14) | (1 << 16))
stages[int((15) | (1 << 16))] = 'Suspend domain'; SUSPEND = int((15) | (1 << 16))
stages[int((16) | (1 << 16))] = 'Enable domain'; ENABLEDOM = int((16) | (1 << 16))
stages[int((17) | (1 << 16))] = 'Delete domain'; DELETEDOM = int((17) | (1 << 16))
stages[int((18) | (1 << 16))] = 'Prepare domain'; PREPDOM = int((18) | (1 << 16))
stages[int((19) | (1 << 16))] = 'Confirm domain status'; FINALIZEMARK = int((19) | (1 << 16))
stages[int((20) | (1 << 16))] = 'Edit domain'; EDITDOMAIN = int((20) | (1 << 16))
stages[int((21) | (1 << 16))] = 'Confirm service configuration'; CONFIRM = int((21) | (1 << 16))
stages[int((22) | (1 << 16))] = 'Perform post-edit actions'; POST_EDIT = int((22) | (1 << 16))
stages[int((23) | (1 << 16))] = 'Untaring user customization file'; UNTAR_USER_CUSTOM = int((23) | (1 << 16))
stages[int((24) | (1 << 16))] = 'Running the user customization script'; EXEC_USER_CUSTOM = int((24) | (1 << 16))
stages[int((25) | (1 << 16))] = 'Checking for a valid license'; LICENSE_CHECK = int((25) | (1 << 16))
stages[int((26) | (1 << 16))] = 'Deleting service-specific domain information'; DELETE = int((26) | (1 << 16))
stages[int((27) | (1 << 16))] = 'Unconfirm domain status'; UNFINALIZEMARK = int((27) | (1 << 16))
stages[int((28) | (1 << 16))] = 'Clear configuration files'; CLEARCONF = int((28) | (1 << 16))
stages[int((29) | (1 << 16))] = 'Delete plan configuration'; DELETEPLAN = int((29) | (1 << 16))
stages[int((30) | (1 << 16))] = 'Create plan configuration'; CREATEPLAN = int((30) | (1 << 16))
stages[int((31) | (1 << 16))] = 'Obtain virtual domain lock'; GETSITELOCK = int((31) | (1 << 16))
stages[int((32) | (1 << 16))] = 'Release virtual domain lock'; DROPSITELOCK = int((32) | (1 << 16))
stages[int((33) | (1 << 16))] = 'Add User'; ADDUSER = int((33) | (1 << 16))
stages[int((34) | (1 << 16))] = 'Edit User'; EDITUSER = int((34) | (1 << 16))
stages[int((35) | (1 << 16))] = 'Remove User'; DELUSER = int((35) | (1 << 16))
stages[int((36) | (1 << 16))] = 'Hide Service Check'; HIDESERVICECHECK = int((36) | (1 << 16))
stages[int((37) | (1 << 16))] = 'Obtain plan lock'; GETPLANLOCK = int((37) | (1 << 16))
stages[int((38) | (1 << 16))] = 'Release plan lock'; DROPPLANLOCK = int((38) | (1 << 16))
stages[int((39) | (1 << 16))] = 'Hide service database entry'; HIDESVCDB = int((39) | (1 << 16))
stages[int((40) | (1 << 16))] = 'Unhide Service Check'; UNHIDESERVICECHECK = int((40) | (1 << 16))
stages[int((41) | (1 << 16))] = 'Unhide service database entry'; UNHIDESVCDB = int((41) | (1 << 16))
stages[int((42) | (1 << 16))] = 'Remove new conf file'; DELNEWCONF = int((42) | (1 << 16))
stages[int((43) | (1 << 16))] = 'Check database'; CHECKDB = int((43) | (1 << 16))
stages[int((46) | (1 << 16))] = 'Appliance export'; APPLIANCE_EXPORT = int((46) | (1 << 16))
stages[int((47) | (1 << 16))] = 'Appliance export cleanup'; APPLIANCE_END_EXPORT = int((47) | (1 << 16))
stages[int((48) | (1 << 16))] = 'Appliance import'; APPLIANCE_IMPORT = int((48) | (1 << 16))
stages[int((49) | (1 << 16))] = 'Reseller export'; RESELLER_EXPORT = int((49) | (1 << 16))
stages[int((50) | (1 << 16))] = 'Reseller export cleanup'; RESELLER_END_EXPORT = int((50) | (1 << 16))
stages[int((51) | (1 << 16))] = 'Reseller import'; RESELLER_IMPORT = int((51) | (1 << 16))
stages[int((52) | (1 << 16))] = 'Reseller configuration import'; RESELLER_CONF_IMPORT = int((52) | (1 << 16))
stages[int((53) | (1 << 16))] = 'Site export'; SITE_EXPORT = int((53) | (1 << 16))
stages[int((54) | (1 << 16))] = 'Site export cleanup'; SITE_END_EXPORT = int((54) | (1 << 16))
stages[int((55) | (1 << 16))] = 'Site import'; SITE_IMPORT = int((55) | (1 << 16))
stages[int((56) | (1 << 16))] = 'Site configuration import'; SITE_CONF_IMPORT = int((56) | (1 << 16))
stages[int((57) | (1 << 16))] = 'User export'; USER_EXPORT = int((57) | (1 << 16))
stages[int((58) | (1 << 16))] = 'User export cleanup'; USER_END_EXPORT = int((58) | (1 << 16))
stages[int((59) | (1 << 16))] = 'User import'; USER_IMPORT = int((59) | (1 << 16))
stages[int((60) | (1 << 16))] = 'User configuration import'; USER_CONF_IMPORT = int((60) | (1 << 16))
stages[int((61) | (1 << 16))] = 'File import'; FILE_IMPORT = int((61) | (1 << 16))
stages[int((62) | (1 << 16))] = 'Argument verification'; ARGVERIFY = int((62) | (1 << 16))
stages[int((63) | (1 << 16))] = 'Import'; IMPORT = int((63) | (1 << 16))
stages[int((64) | (1 << 16))] = 'Export'; EXPORT = int((64) | (1 << 16))
stages[int((65) | (1 << 16))] = 'Plan export'; PLAN_CONF_EXPORT = int((65) | (1 << 16))
stages[int((66) | (1 << 16))] = 'Plan import'; PLAN_CONF_IMPORT = int((66) | (1 << 16))
stages[int((67) | (1 << 16))] = 'Obtain lock'; GET_LOCK = int((67) | (1 << 16))
stages[int((68) | (1 << 16))] = 'Release lock'; RELEASE_LOCK = int((68) | (1 << 16))
stages[int((69) | (1 << 16))] = 'Get site usage'; GETSITEUSAGE = int((69) | (1 << 16))
stages[int((70) | (1 << 16))] = 'Create database'; DBCREATE = int((70) | (1 << 16))
stages[int((71) | (1 << 16))] = 'Grant user access'; DBGRANT = int((71) | (1 << 16))
stages[int((72) | (1 << 16))] = 'Appliance import post processing'; APPLIANCE_IMPORT_FIXUP = int((72) | (1 << 16))
stages[int((73) | (1 << 16))] = 'Reseller import post processing'; RESELLER_IMPORT_FIXUP = int((73) | (1 << 16))
stages[int((74) | (1 << 16))] = 'Site import post processing'; SITE_IMPORT_FIXUP = int((74) | (1 << 16))
stages[int((75) | (1 << 16))] = "User import post processing"; USER_IMPORT_FIXUP = int((75) | (1 << 16))

options[1] = "enabled"; enabled = 1L

options[2] = "users"; users = 2L
options[3] = "sites"; sites = 3L
options[4] = "resellers"; resellers = 4L

NO_ENABLED_FLAG = (1L << 56) | (enabled << 48) | 0; errors[(1L << 56) | (enabled << 48) | 0] = "The configuration for service %(service)s does not contain an enabled flag."
INVALID_ENABLED_FLAG = (1L << 56) | (enabled << 48) | 1; errors[(1L << 56) | (enabled << 48) | 1] = "The configuration for service %(service)s does not contain a valid enabled flag: %(flag)s"
HIDDEN_SERVICE_ENABLED = (1L << 56) | (enabled << 48) | 2; errors[(1L << 56) | (enabled << 48) | 2] = "Service %(service)s is hidden and can not be enabled"
PLAN_NO_ENABLED_FLAG = (1L << 56) | (enabled << 48) | 3; errors[(1L << 56) | (enabled << 48) | 3] = "The plan for service %(service)s does not contain an enabled flag."
PLAN_INVALID_ENABLED_FLAG = (1L << 56) | (enabled << 48) | 4; errors[(1L << 56) | (enabled << 48) | 4] = "The plan for service %(service)s does not contain a valid enabled flag: %(flag)s"
USER_DOES_NOT_EXIST = (1L << 56) | (users << 48) | 5; errors[(1L << 56) | (users << 48) | 5] = "The user %(user)s does not exist for site %(site)s"
SITE_DOES_NOT_EXIST = (1L << 56) | (sites << 48) | 6; errors[(1L << 56) | (sites << 48) | 6] = "The site %(site)s does not exist"
RESELLER_MODULE_DOES_NOT_EXIST = (1L << 56) | (resellers << 48) | 7; errors[(1L << 56) | (resellers << 48) | 7] = "The reseller module does not appear to be installed"
RESELLER_DOES_NOT_EXIST = (1L << 56) | (resellers << 48) | 8; errors[(1L << 56) | (resellers << 48) | 8] = "The reseller %(reseller)s does not exist"

UNFINISHED_EDIT = ((1L << 56) | (255L << 48)) | 1; errors[((1L << 56) | (255L << 48)) | 1] = "Virtual domain is in inconsistent state (likely due to a previous failed edit); not writing configuration file for %(service)s."
ENABLE_HIDDEN_SERVICE = ((1L << 56) | (255L << 48)) | 2; errors[((1L << 56) | (255L << 48)) | 2] = "Service %(service)s is hidden and can not be enabled"
CONF_FILE_WRITE_FAILED = ((1L << 56) | (255L << 48)) | 3; errors[((1L << 56) | (255L << 48)) | 3] = "Failed to write configuration file for service %(service)s. Write failed with error %(errno)d : %(errstr)s"
CREATE_NEW_CONF_DIR = ((1L << 56) | (255L << 48)) | 4; errors[((1L << 56) | (255L << 48)) | 4] = "Failed to create directory %(path)s for new configurations. Directory creation failed with error %(errno)d : %(errstr)s"
CONFIRM_COPY_FILE = ((1L << 56) | (255L << 48)) | 5; errors[((1L << 56) | (255L << 48)) | 5] = "Failed to copy new configuration for service %(service)s to current configuration."
CONFIRM_RENAME_FILE = ((1L << 56) | (255L << 48)) | 6; errors[((1L << 56) | (255L << 48)) | 6] = "Failed to rename new configuration file for service %(service)s. Rename failed with error %(errno)d : %(errstr)s"
SET_DISABLE_DOMAIN = ((1L << 56) | (255L << 48)) | 7; errors[((1L << 56) | (255L << 48)) | 7] = "Failed to mark domain disabled. Operation failed with error %(errno)d : %(errstr)s"
CLEAR_DISABLE_DOMAIN = ((1L << 56) | (255L << 48)) | 8; errors[((1L << 56) | (255L << 48)) | 8] = "Failed to mark domain enabled. Operation failed with error %(errno)d : %(errstr)s"
CREATE_NEW_PLAN_DIR = ((1L << 56) | (255L << 48)) | 9; errors[((1L << 56) | (255L << 48)) | 9] = "Failed to create directory %(path)s for new plan configurations. Directory creation failed with error %(errno)d : %(errstr)s"
PLAN_FILE_WRITE_FAILED = ((1L << 56) | (255L << 48)) | 10; errors[((1L << 56) | (255L << 48)) | 10] = "Failed to write plan configuration file for service %(service)s. Write failed with error %(errno)d : %(errstr)s"
LOCK_DIR_EXIST = ((1L << 56) | (255L << 48)) | 11; errors[((1L << 56) | (255L << 48)) | 11] = "Could not access master lock directory %(lock_dir)s"
LOCK_DIR_OPEN = ((1L << 56) | (255L << 48)) | 12; errors[((1L << 56) | (255L << 48)) | 12] = "Could not open master lock directory %(lock_dir)s. Open failed with error %(errno)d : %(errstr)s"
MASTER_LOCK_ACQUIRE = ((1L << 56) | (255L << 48)) | 13; errors[((1L << 56) | (255L << 48)) | 13] = "Could not acquire master lock. Acquire failed with error %(errno)d : %(errstr)s"
LOCK_STEAL = ((1L << 56) | (255L << 48)) | 14; errors[((1L << 56) | (255L << 48)) | 14] = "Stole lock %(lock_file)s from dead process %(pid)d with start time %(start_time)s"
LOCK_TAKEN = ((1L << 56) | (255L << 48)) | 15; errors[((1L << 56) | (255L << 48)) | 15] = "Lock %(lock_file)s is currently held by process %(pid)d with start time %(start_time)s"
EXISTING_LOCK_FAIL = ((1L << 56) | (255L << 48)) | 16; errors[((1L << 56) | (255L << 48)) | 16] = "Failure while acquiring existing lock %(lock_file)s. Error is %(errno)d : %(errstr)s"
LOCK_STATE_CREATE = ((1L << 56) | (255L << 48)) | 17; errors[((1L << 56) | (255L << 48)) | 17] = "Failure while trying to create lock state file %(tmp_file)s for lock %(lock_file)s. Error is %(errno)d : %(errstr)s"
RECURSIVE_LOCK = ((1L << 56) | (255L << 48)) | 18; errors[((1L << 56) | (255L << 48)) | 18] = "Lock state file %(tmp_file)s already exists. Possible recursive locking attempt for lock %(lock_file)s"
LOCK_STATE_LINK = ((1L << 56) | (255L << 48)) | 19; errors[((1L << 56) | (255L << 48)) | 19] = "Failed to link lock file %(lock_file)s to lock state file %(tmp_file)s. Error is %(errno)d : %(errstr)s"
NOT_OUR_LOCK = ((1L << 56) | (255L << 48)) | 20; errors[((1L << 56) | (255L << 48)) | 20] = "Attempt to release lock file %(lock_file)s that does not belong to current process. Current process lock state: %(tmp_file)s/Lock owner lock state: %(lock_state)s"
DELETEDEFAULTPLAN = ((1L << 56) | (255L << 48)) | 33; errors[((1L << 56) | (255L << 48)) | 33] = "Cannot delete default plan %(planname)s"
DELETEPLANERR = ((1L << 56) | (255L << 48)) | 34; errors[((1L << 56) | (255L << 48)) | 34] = "Cannot delete plan %(planname)s. Error is: %(errstr)s"
CREATENEWDOMAINERR = ((1L << 56) | (255L << 48)) | 35; errors[((1L << 56) | (255L << 48)) | 35] = "Unable to allocate new site."
CREATENEWDOMAINLOCKERR = ((1L << 56) | (255L << 48)) | 36; errors[((1L << 56) | (255L << 48)) | 36] = "Unable to acquire site creation lock."
CREATENEWPLANERR = ((1L << 56) | (255L << 48)) | 37; errors[((1L << 56) | (255L << 48)) | 37] = "Unable to create plan"
CREATENEWPLANLOCK = ((1L << 56) | (255L << 48)) | 38; errors[((1L << 56) | (255L << 48)) | 38] = "Unable to acquire plan creation lock"
CONFIRMPLAN = ((1L << 56) | (255L << 48)) | 39; errors[((1L << 56) | (255L << 48)) | 39] = "Unable to rename file from %(renamefrom)s to %(renameto)s"
SUSPEND_PARTIAL_EDIT = ((1L << 56) | (255L << 48)) | 40; errors[((1L << 56) | (255L << 48)) | 40] = "Unable to suspend a site that is in an inconsistent state. Please complete the unfinished edit first."
MARK_DOMAIN_DISABLED = ((1L << 56) | (255L << 48)) | 41; errors[((1L << 56) | (255L << 48)) | 41] = "Unable to create stamp file %(path)s. Error is %(errno)d : %(errstr)s"
MARK_DOMAIN_ENABLED = ((1L << 56) | (255L << 48)) | 42; errors[((1L << 56) | (255L << 48)) | 42] = "Unable to remove stamp file %(path)s. Error is %(errno)d : %(errstr)s"
MARK_DOMAIN_DELETED = ((1L << 56) | (255L << 48)) | 43; errors[((1L << 56) | (255L << 48)) | 43] = "Unable to create stamp file %(path)s. Error is %(errno)d : %(errstr)s"
COPYFILE_COPY = ((1L << 56) | (255L << 48)) | 44; errors[((1L << 56) | (255L << 48)) | 44] = "Failed to copy source file %(src)s to destination file %(dst)s. File %(file)s. Error is %(errno)d : %(errstr)s"
COPYFILE_SRC_CLOSE = ((1L << 56) | (255L << 48)) | 45; errors[((1L << 56) | (255L << 48)) | 45] = "Failed to close source file %(src)s. Error is %(errno)d : %(errstr)s"
COPYFILE_WRITE = ((1L << 56) | (255L << 48)) | 46; errors[((1L << 56) | (255L << 48)) | 46] = "Failed to write to destination file %(dst)s. Error is %(errno)d : %(errstr)s"
COPYFILE_DST_CLOSE = ((1L << 56) | (255L << 48)) | 47; errors[((1L << 56) | (255L << 48)) | 47] = "Failed to close destination file %(dst)s. Error is %(errno)d : %(errstr)s"
CONF_FILE_DIR_NOT_FOUND = ((1L << 56) | (255L << 48)) | 48; errors[((1L << 56) | (255L << 48)) | 48] = "Failed to access configuration file directory %(path)s"
CONF_FILE_DIR_CREATE = ((1L << 56) | (255L << 48)) | 49; errors[((1L << 56) | (255L << 48)) | 49] = "Failed to create configuration file directory %(path)s. Error is %(errno)d : %(errstr)s"
ENABLE_DELETED_DOMAIN = ((1L << 56) | (255L << 48)) | 50; errors[((1L << 56) | (255L << 48)) | 50] = "You can not enable a domain that you have marked for deletion."
DELETE_PARTIAL_EDIT = ((1L << 56) | (255L << 48)) | 51; errors[((1L << 56) | (255L << 48)) | 51] = "Deleting a site that is in an inconsistent state."
EDIT_DELETED_DOMAIN = ((1L << 56) | (255L << 48)) | 52; errors[((1L << 56) | (255L << 48)) | 52] = "You can not enable a domain that you have marked for deletion."
EDIT_SUSPENDED_DOMAIN = ((1L << 56) | (255L << 48)) | 53; errors[((1L << 56) | (255L << 48)) | 53] = "Domain is partially suspended. You must fully disable or enable the site before editing."
CONF_FILE_READ = ((1L << 56) | (255L << 48)) | 54; errors[((1L << 56) | (255L << 48)) | 54] = "Failed while reading configuration file %(path)s. Error is %(errno)d : %(errstr)s"
CONF_FILE_READ_CLOSE = ((1L << 56) | (255L << 48)) | 55; errors[((1L << 56) | (255L << 48)) | 55] = "Failed to close configuration file %(path)s after reading. Error is %(errno)d : %(errstr)s"
CONF_FILE_WRITE_CLOSE = ((1L << 56) | (255L << 48)) | 56; errors[((1L << 56) | (255L << 48)) | 56] = "Failed to close configuration file %(path)s after writing. Error is %(errno)d : %(errstr)s"
NO_SUCH_SERVICE = ((1L << 56) | (255L << 48)) | 57; errors[((1L << 56) | (255L << 48)) | 57] = "Service %(service)s is not installed."
CONF_FILE_NOT_EXIST = ((1L << 56) | (255L << 48)) | 58; errors[((1L << 56) | (255L << 48)) | 58] = "The configuration file %(path)s does not exist."
PLAN_FILE_NOT_EXIST = ((1L << 56) | (255L << 48)) | 59; errors[((1L << 56) | (255L << 48)) | 59] = "The %(plan)s plan file for service %(service)s does not exist."
PLAN_FILE_READ_CLOSE = ((1L << 56) | (255L << 48)) | 60; errors[((1L << 56) | (255L << 48)) | 60] = "Failed to close plan file %(path)s after reading. Error is %(errno)d : %(errstr)s"
PLAN_FILE_READ = ((1L << 56) | (255L << 48)) | 61; errors[((1L << 56) | (255L << 48)) | 61] = "Failed while reading plan file %(path)s. Error is %(errno)d : %(errstr)s"
PLAN_FILE_WRITE_CLOSE = ((1L << 56) | (255L << 48)) | 62; errors[((1L << 56) | (255L << 48)) | 62] = "Failed to close plan file %(path)s after writing. Error is %(errno)d : %(errstr)s"
CHOWN_FILE = ((1L << 56) | (255L << 48)) | 64; errors[((1L << 56) | (255L << 48)) | 64] = "Failed to change ownership attributes of file %(file)s. Error is %(errno)d : %(errstr)s"
CHMOD_FILE = ((1L << 56) | (255L << 48)) | 65; errors[((1L << 56) | (255L << 48)) | 65] = "Failed to change permission attributes of file %(file)s. Error is %(errno)d : %(errstr)s"
REMOVE_CONF_FILE = ((1L << 56) | (255L << 48)) | 66; errors[((1L << 56) | (255L << 48)) | 66] = "Failed to remove configuration file %(file)s. Error is %(errno)d : %(errstr)s"
COPY_CONF_FILE = ((1L << 56) | (255L << 48)) | 67; errors[((1L << 56) | (255L << 48)) | 67] = "Failed while trying to copy configuration from %(from)s to %(to)s. File %(file)s; error is %(errno)d : %(errstr)s"
NO_SERVICE_CONF = ((1L << 56) | (255L << 48)) | 68; errors[((1L << 56) | (255L << 48)) | 68] = "No configuration was specified for service %(service)s."
NO_SERVICE_PLAN = ((1L << 56) | (255L << 48)) | 69; errors[((1L << 56) | (255L << 48)) | 69] = "No plan was specified for service %(service)s."
LOCK_REMOVE_OLD_LOCK = ((1L << 56) | (255L << 48)) | 72; errors[((1L << 56) | (255L << 48)) | 72] = "Failed to remove old lock file %(lock_file)s and lock state file %(lock_link)s. File %(file)s; error is %(errno)d : %(errstr)s"
LOCK_REMOVE_OLD_LOCK_LINK = ((1L << 56) | (255L << 48)) | 73; errors[((1L << 56) | (255L << 48)) | 73] = "Failed to remove old lock file %(lock_file)s. Error is %(errno)d : %(errstr)s"
LINK_FST_FILES = ((1L << 56) | (255L << 48)) | 74; errors[((1L << 56) | (255L << 48)) | 74] = "Failed to link file file system template for service %(service)s. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"

PAM_USER_EXISTS = ((1L << 56) | (255L << 48)) | 75; errors[((1L << 56) | (255L << 48)) | 75] = "User %(user)s is already permitted to use service %(service)s"
PAM_CREATELIST = ((1L << 56) | (255L << 48)) | 76; errors[((1L << 56) | (255L << 48)) | 76] = "Failed to create PAM list file %(file)s. Error is %(errno)d : %(errstr)s"
PAM_LISTMOD = ((1L << 56) | (255L << 48)) | 77; errors[((1L << 56) | (255L << 48)) | 77] = "Failed to modify PAM list file %(file)s. Error is %(errno)d : %(errstr)s"
PAM_LISTMOD_CLOSE = ((1L << 56) | (255L << 48)) | 78; errors[((1L << 56) | (255L << 48)) | 78] = "Failed to close PAM list file %(file)s after modifying. Error is %(errno)d : %(errstr)s"
PAM_USER_NOT_EXIST = ((1L << 56) | (255L << 48)) | 79; errors[((1L << 56) | (255L << 48)) | 79] = "User %(user)s is already not permitted to use service %(service)s"
PAM_LISTMOD_CLOSE2 = ((1L << 56) | (255L << 48)) | 80; errors[((1L << 56) | (255L << 48)) | 80] = "Failed to close PAM list file %(file)s after reading. Error is %(errno)d : %(errstr)s"

CONFIRM_DOMAIN_DISABLED = ((1L << 56) | (255L << 48)) | 82; errors[((1L << 56) | (255L << 48)) | 82] = "Failed to mark domain disabled. File %(file)s. Error is %(errno)d : %(errstr)s"

MAP_FILE_CREATE = ((1L << 56) | (255L << 48)) | 83; errors[((1L << 56) | (255L << 48)) | 83] = "Failed to create map file %(mapfile)s. Error is %(errno)d : %(errstr)s"
MAP_FILE_EXIST = ((1L << 56) | (255L << 48)) | 84; errors[((1L << 56) | (255L << 48)) | 84] = "Map file %(mapfile)s does not exist"
MAP_FILE_APPEND = ((1L << 56) | (255L << 48)) | 85; errors[((1L << 56) | (255L << 48)) | 85] = "Failed to add entries to map file %(mapfile)s. Error is %(errno)d : %(errstr)s"
MAP_FILE_READ = ((1L << 56) | (255L << 48)) | 86; errors[((1L << 56) | (255L << 48)) | 86] = "Failed to read contents of map file %(mapfile)s. Error is %(errno)d : %(errstr)s"
MAP_FILE_WRITE = ((1L << 56) | (255L << 48)) | 87; errors[((1L << 56) | (255L << 48)) | 87] = "Failed to modify contents of map file %(mapfile)s. Error is %(errno)d : %(errstr)s"
MAP_FILE_KEY_EXIST = ((1L << 56) | (255L << 48)) | 88; errors[((1L << 56) | (255L << 48)) | 88] = "The map for %(key)s already exists in %(mapfile)s"
MAP_FILE_READ_CLOSE = ((1L << 56) | (255L << 48)) | 89; errors[((1L << 56) | (255L << 48)) | 89] = "Failed to close map file %(mapfile)s after reading. Error is %(errno)d : %(errstr)s"
MAP_FILE_WRITE_CLOSE = ((1L << 56) | (255L << 48)) | 90; errors[((1L << 56) | (255L << 48)) | 90] = "Failed to close map file %(mapfile)s after writing. Error is %(errno)d : %(errstr)s"
INVALID_PLAN_NAME = ((1L << 56) | (255L << 48)) | 91; errors[((1L << 56) | (255L << 48)) | 91] = "Plan name %(plan)s contains invalid characters."
PLAN_EXISTS = ((1L << 56) | (255L << 48)) | 92; errors[((1L << 56) | (255L << 48)) | 92] = "Plan %(plan)s already exists"
UNTAR_USER_CUSTOM_ERROR = ((1L << 56) | (255L << 48)) | 93; errors[((1L << 56) | (255L << 48)) | 93] = "Failed to untar the file /usr/local/customized/virtDomain.tar into the newly created site. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
EXEC_USER_CUSTOM_ERROR = ((1L << 56) | (255L << 48)) | 94; errors[((1L << 56) | (255L << 48)) | 94] = "Failed to execute the script /usr/local/customized/virtDomain.sh in the newly created site. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
LICENSE_FAILED = ((1L << 56) | (255L << 48)) | 95; errors[((1L << 56) | (255L << 48)) | 95] = "Domain addition status: %(msg)s. %(expl)s"
SERVICE_ALREADY_HIDDEN = ((1L << 56) | (255L << 48)) | 96; errors[((1L << 56) | (255L << 48)) | 96] = "Service %(service)s already hidden"
SITES_HAVE_SERVICE = ((1L << 56) | (255L << 48)) | 97; errors[((1L << 56) | (255L << 48)) | 97] = "Cannot hide service %(service)s as these sites have it enabled: %(sites)s"
NON_APPLIANCE_SERVICE = ((1L << 56) | (255L << 48)) | 98; errors[((1L << 56) | (255L << 48)) | 98] = "Cannot unhide service %(service)s that is not owned by the appliance"
SERVICE_ALREADY_UNHIDDEN = ((1L << 56) | (255L << 48)) | 99; errors[((1L << 56) | (255L << 48)) | 99] = "Service %(service)s is already unhidden. No action performed."
SERVICE_NOT_HIDEABLE = ((1L << 56) | (255L << 48)) | 100; errors[((1L << 56) | (255L << 48)) | 100] = "Service %(service)s is not hideable. No action performed."
HIDE_DEPENDENCY_PROBLEM = ((1L << 56) | (255L << 48)) | 101; errors[((1L << 56) | (255L << 48)) | 101] = "Cannot hide service %(service)s due to dependency problem.\n Services below depend on the service:\n%(services)s \n"
UNHIDE_DEPENDENCY_PROBLEM = ((1L << 56) | (255L << 48)) | 102; errors[((1L << 56) | (255L << 48)) | 102] = "Cannot unhide service %(service)s due to dependency problem.Services below are required by the service:\n%(services)s \n"
UNCONFIRM_DOMAIN_DISABLED = ((1L << 56) | (255L << 48)) | 103; errors[((1L << 56) | (255L << 48)) | 103] = "Failed to mark domain partially disabled. File %(file)s. Error is %(errno)d : %(errstr)s"
ENABLE_PARTIAL_EDIT = ((1L << 56) | (255L << 48)) | 104; errors[((1L << 56) | (255L << 48)) | 104] = "Unable to enable a site that is in an inconsistent state. Please complete the unfinished edit first."
TRANSLATE_ERROR_STRING = ((1L << 56) | (255L << 48)) | 105; errors[((1L << 56) | (255L << 48)) | 105] = "String conversion %(errtype)s occurred for string [%(msg)s], modifiers [%(params)s]"
TRACEBACK_ERROR = ((1L << 56) | (255L << 48)) | 106; errors[((1L << 56) | (255L << 48)) | 106] = "Traceback occurred: %(traceback)s"
MARK_DOMAINFS_IMPURE = ((1L << 56) | (255L << 48)) | 107; errors[((1L << 56) | (255L << 48)) | 107] = "Failed to mark domain filesystem impure. File %(file)s. Error is %(errno)d : %(errstr)s"
MARK_DOMAINFS_PURE = ((1L << 56) | (255L << 48)) | 108; errors[((1L << 56) | (255L << 48)) | 108] = "Failed to mark domain filesystem pure. File %(file)s. Error is %(errno)d : %(errstr)s"
RUN_LDCONFIG = ((1L << 56) | (255L << 48)) | 109; errors[((1L << 56) | (255L << 48)) | 109] = "Failed to configure share library symbolic links in virtual domain filesystem. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
REMOVE_UNHIDDENSVCDB = ((1L << 56) | (255L << 48)) | 110; errors[((1L << 56) | (255L << 48)) | 110] = "Failed to remove the unhidden service database entry. Error is %(errno)d : %(errstr)s"
CREATE_HIDDENSVCDB = ((1L << 56) | (255L << 48)) | 111; errors[((1L << 56) | (255L << 48)) | 111] = "Failed to create the hidden service database entry. Error is %(errno)d : %(errstr)s"
NEW_CONF_FILE_DEL_FAILED = ((1L << 56) | (255L << 48)) | 112; errors[((1L << 56) | (255L << 48)) | 112] = "Failed to remove new conf file %(path)s. Error is %(errno)d : %(errstr)s"
CHECK_DB_FAILED = ((1L << 56) | (255L << 48)) | 113; errors[((1L << 56) | (255L << 48)) | 113] = "Failed to handshake database. Database returned %(dberrstr)s"
CREATE_SYMLINK = ((1L << 56) | (255L << 48)) | 114; errors[((1L << 56) | (255L << 48)) | 114] = "Could not create symlink. File %(file)s. Error is %(errno)d : %(errstr)s"
MULTI_EXPORT_TO_STDOUT = ((1L << 56) | (255L << 48)) | 115; errors[((1L << 56) | (255L << 48)) | 115] = "You must specify a destination URL if creating multiple exports."
INVALID_PROTOCOL = ((1L << 56) | (255L << 48)) | 116; errors[((1L << 56) | (255L << 48)) | 116] = "The protocol %(protocol)s in URL %(url)s is not currently supported."
IMPORT_CHECKSUM_MISMATCH = ((1L << 56) | (255L << 48)) | 117; errors[((1L << 56) | (255L << 48)) | 117] = "The calculated checksum of the import file does not match the recorded checksum made at the time of export. For security reasons, exported archives that have been modified will not be imported."
NCFTP_COULD_NOT_CONNECT = ((1L << 56) | (255L << 48)) | 118; errors[((1L << 56) | (255L << 48)) | 118] = "Could not connect to FTP server ftp://%(user)s@%(host)s:%(port)s."
NCFTP_COULD_NOT_CONNECT_TO = ((1L << 56) | (255L << 48)) | 119; errors[((1L << 56) | (255L << 48)) | 119] = "Connection to FTP server ftp://%(user)s@%(host)s:%(port)s timed out."
NCFTP_XFER_FAILED = ((1L << 56) | (255L << 48)) | 120; errors[((1L << 56) | (255L << 48)) | 120] = "FTP transfer to ftp://%(user)s@%(host)s:%(port)s/%(path)s/%(file)s failed."
NCFTP_XFER_FAILED_TO = ((1L << 56) | (255L << 48)) | 121; errors[((1L << 56) | (255L << 48)) | 121] = "FTP transfer to ftp://%(user)s@%(host)s:%(port)s/%(path)s/%(file)s timed out."
NCFTP_CHDIR_FAILED = ((1L << 56) | (255L << 48)) | 122; errors[((1L << 56) | (255L << 48)) | 122] = "Failed to change directory to ftp://%(user)s@%(host)s:%(port)s/%(path)s."
NCFTP_CHDIR_FAILED_TO = ((1L << 56) | (255L << 48)) | 123; errors[((1L << 56) | (255L << 48)) | 123] = "Changing directory to ftp://%(user)s@%(host)s:%(port)s/%(path)s timed out."
NCFTP_MALFORMED_URL = ((1L << 56) | (255L << 48)) | 124; errors[((1L << 56) | (255L << 48)) | 124] = "Malformed URL ftp://%(user)s@%(host)s:%(port)s/%(path)s/%(file)s."
NCFTP_USAGE_ERROR = ((1L << 56) | (255L << 48)) | 125; errors[((1L << 56) | (255L << 48)) | 125] = "Incorrect ncftpput invocation."
NCFTP_LOGIN_CFG_ERROR = ((1L << 56) | (255L << 48)) | 126; errors[((1L << 56) | (255L << 48)) | 126] = "Failed to use login configuration file %(login_cfg_path)s."
NCFTP_LIBINIT_FAILED = ((1L << 56) | (255L << 48)) | 127; errors[((1L << 56) | (255L << 48)) | 127] = "Failed to initialize ncftp library."
NCFTP_SESSION_INIT_FAILED = ((1L << 56) | (255L << 48)) | 128; errors[((1L << 56) | (255L << 48)) | 128] = "Failed to initialize ncftpput session."
EXPORT_REJECTED_FILE = ((1L << 56) | (255L << 48)) | 129; errors[((1L << 56) | (255L << 48)) | 129] = "Could not export the file %(file)s."
TAR_OPEN_FAILED = ((1L << 56) | (255L << 48)) | 130; errors[((1L << 56) | (255L << 48)) | 130] = "Could not open import source or could not recognize import format."
EXPORT_WRITE = ((1L << 56) | (255L << 48)) | 131; errors[((1L << 56) | (255L << 48)) | 131] = "Failed to export archive. Error is %(errno)d : %(errstr)s."
TAR_READ_FAILED = ((1L << 56) | (255L << 48)) | 132; errors[((1L << 56) | (255L << 48)) | 132] = "Failed to import archive. Error is %(errno)d : %(errstr)s."
IMPORT_RETRIEVAL_FAILED = ((1L << 56) | (255L << 48)) | 133; errors[((1L << 56) | (255L << 48)) | 133] = "Failed to retrieve archive from URL %(url)s. Error is %(errstr)s."
IMPORT_WITH_NO_KEY = ((1L << 56) | (255L << 48)) | 134; errors[((1L << 56) | (255L << 48)) | 134] = "The requested archive is encrypted, but no decryption key was supplied."
USER_MAY_NOT_IMPORT_SITE = ((1L << 56) | (255L << 48)) | 135; errors[((1L << 56) | (255L << 48)) | 135] = "A site user may not restore a site archive."
SITEADMIN_MAY_NOT_SPECIFY_TARGET = ((1L << 56) | (255L << 48)) | 136; errors[((1L << 56) | (255L << 48)) | 136] = "A site administrator may not specify a target when importing a site archive."
SITEUSER_MAY_NOT_SPECIFY_TARGET = ((1L << 56) | (255L << 48)) | 137; errors[((1L << 56) | (255L << 48)) | 137] = "A site user may not specify a target when importing a user archive."
SITE_USER_MAY_NOT_IMPORT_RESELLER = ((1L << 56) | (255L << 48)) | 138; errors[((1L << 56) | (255L << 48)) | 138] = "A site administrator or site user may not restore a reseller archive."
RESELLER_MAY_NOT_SPECIFY_TARGET = ((1L << 56) | (255L << 48)) | 139; errors[((1L << 56) | (255L << 48)) | 139] = "A reseller may not specify a target when importing a reseller archive."
NON_APPLIANCE_ADMIN_MAY_NOT_IMPORT_APPLIANCE = ((1L << 56) | (255L << 48)) | 140; errors[((1L << 56) | (255L << 48)) | 140] = "Only appliance administrators may import an appliance archive."
COULD_NOT_IDENTIFY_RESELLER = ((1L << 56) | (255L << 48)) | 141; errors[((1L << 56) | (255L << 48)) | 141] = "Failed to identify reseller based on given name or id : %(name)s."
COULD_NOT_IDENTIFY_USER = ((1L << 56) | (255L << 48)) | 142; errors[((1L << 56) | (255L << 48)) | 142] = "Failed to identify user based on given name : %(name)s."
COULD_NOT_IDENTIFY_SITE = ((1L << 56) | (255L << 48)) | 143; errors[((1L << 56) | (255L << 48)) | 143] = "Failed to identify site based on given name or site id : %(name)s."
EXPORT_WRITE_FAILED = ((1L << 56) | (255L << 48)) | 144; errors[((1L << 56) | (255L << 48)) | 144] = "Unable to write export data. Error is %(errno)d : %(errstr)s."
RESELLER_DOES_NOT_OWN_SITE = ((1L << 56) | (255L << 48)) | 145; errors[((1L << 56) | (255L << 48)) | 145] = "The reseller %(reseller)s does not own the site %(site)s."
SITEADMIN_MAY_NOT_CROSS_IMPORT_USER = ((1L << 56) | (255L << 48)) | 146; errors[((1L << 56) | (255L << 48)) | 146] = "The site %(site)s may not import a user into another site (%(target_site)s)."
SITEADMIN_NAME_CLASH = ((1L << 56) | (255L << 48)) | 147; errors[((1L << 56) | (255L << 48)) | 147] = "The imported site contains a non-site-administrator user %(user)s with the same name as the target site's site administrator. This is not allowed. Some of this user's configuration may be lost."
SITEUSER_MAY_NOT_CHANGE_USER_CONFIG = ((1L << 56) | (255L << 48)) | 148; errors[((1L << 56) | (255L << 48)) | 148] = "A site user may not change his or her user configuration."
SITEADMIN_MAY_NOT_CHANGE_SITE_CONFIG = ((1L << 56) | (255L << 48)) | 149; errors[((1L << 56) | (255L << 48)) | 149] = "A site administrator may not change the site configuration."
RESELLER_MAY_NOT_CHANGE_RESELLER_CONFIGS = ((1L << 56) | (255L << 48)) | 150; errors[((1L << 56) | (255L << 48)) | 150] = "A reseller may not change his or her reseller configuration."
BAD_IMPORT_NAME = ((1L << 56) | (255L << 48)) | 151; errors[((1L << 56) | (255L << 48)) | 151] = "The import file %(path)s is not valid. Imported files must end with one of the accepted file suffixes; e.g. .tar, .gz, .gz.enc, etc."
IMPORTED_SERVICE_NOT_INSTALLED = ((1L << 56) | (255L << 48)) | 152; errors[((1L << 56) | (255L << 48)) | 152] = "The %(service)s service is not installed. Some data related to this service may not be restored."
UNHIDE_OF_RESTRICTED_SERVICE = ((1L << 56) | (255L << 48)) | 153; errors[((1L << 56) | (255L << 48)) | 153] = "The %(service)s service is restricted in WEBppliance Basic and cannot be unhidden."
INVALID_LICENSE = ((1L << 56) | (255L << 48)) | 154; errors[((1L << 56) | (255L << 48)) | 154] = "Cannot unhide the %(service)s service since the license file on this system is invalid"
USERADD = ((1L << 56) | (255L << 48)) | 155; errors[((1L << 56) | (255L << 48)) | 155] = "Unable to add user %(user)s to domain. Error %(errno)d.\nStandard Out: %(stdout)s\nStandard Error: %(stderr)s"
